package com.iqser.red.persistence.service.v2.external.api.impl.mapper;

import java.util.List;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import com.iqser.red.service.persistence.service.v1.api.shared.model.component.ComponentMappingMetadata;
import com.iqser.red.service.persistence.service.v2.api.external.model.ComponentMappingMetadataModel;

@Mapper
public interface ComponentMappingMapper {

    ComponentMappingMapper INSTANCE = Mappers.getMapper(ComponentMappingMapper.class);


    ComponentMappingMetadataModel toModel(ComponentMappingMetadata componentMappingMetadata);


    List<ComponentMappingMetadataModel> toModelList(List<ComponentMappingMetadata> componentMappingMetadata);


    ComponentMappingMetadata toDto(ComponentMappingMetadataModel componentMappingMetadataModel);


    List<ComponentMappingMetadata> toDtoList(List<ComponentMappingMetadataModel> componentMappingMetadataModels);

}
